IpBase (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.IpBase class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef
Class IpBase

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.appdef.AppdefBean
              org.hyperic.hq.appdef.IpBase

All Implemented Interfaces:
  java.io.Serializable, ContainerManagedTimestampTrackable

Direct Known Subclasses:
  AIIp, Ip

    public abstract class IpBase

extends AppdefBean

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `_address`

Fields inherited from class org.hyperic.hq.appdef.AppdefBean
`cid, creationTime, modifiedTime`

Constructor Summary
`IpBase()`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getAddress()`
`IpValue` | `getIpValue()` Deprecated. use (this) Ip Object instead
`java.lang.String` | `getMacAddress()`
`java.lang.String` | `getNetmask()`
`int` | `hashCode()`
`void` | `setAddress(java.lang.String address)`
`void` | `setIpValue(IpValue valueHolder)` Deprecated.
`void` | `setMacAddress(java.lang.String MACAddress)`
`void` | `setNetmask(java.lang.String netmask)`

Methods inherited from class org.hyperic.hq.appdef.AppdefBean
`allowContainerManagedCreationTime, allowContainerManagedLastModifiedTime, getCid, getCreationTime, getCTime, getModifiedTime, getMTime, matchesValueObject, setCid, setCreationTime, setModifiedTime`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`get_version_, getId, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _address

    protected java.lang.String _address

Constructor Detail

### IpBase

    public IpBase()

Method Detail

### getAddress

    public java.lang.String getAddress()

### setAddress

    public void setAddress(java.lang.String address)

### getNetmask

    public java.lang.String getNetmask()

### setNetmask

    public void setNetmask(java.lang.String netmask)

### getMacAddress

    public java.lang.String getMacAddress()

### setMacAddress

    public void setMacAddress(java.lang.String MACAddress)

### setIpValue

    public void setIpValue(IpValue valueHolder)

  Deprecated.

  convenience method for copying simple values from the legacy EJB Value Object

### getIpValue

    public IpValue getIpValue()

  Deprecated. use (this) Ip Object instead

  legacy EJB DTO pattern

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `AppdefBean`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `AppdefBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.